# $Revision: 1.145.2.2.2.2 $, $Date: 2004/02/02 15:40:40 $
#
# Conditional build:
# _without_gnome	- without GNOME support
# _with_ext2undel	- with ext2 undelete fs
# _with_samba		- with SAMBA vfs support
# _with_x		- with text edit in X support
# _with_mo		- alters the M-o functionality
#
Summary:	A user-friendly file manager and visual shell
Summary(de):	Visuelle Shell Midnight Commander
Summary(es):	Interpretador de comandos visual Midnight Commander
Summary(fr):	Un gestionnaire de fichiers puissant et agrable en mode console
Summary(ja):	Ȥ䤹եޥ͡ȥӥ奢륷
Summary(pl):	Midnight Commander - powoka wizualna
Summary(pt_BR):	Interpretador de comandos visual Midnight Commander
Summary(ru):	  Midnight Commander
Summary(tr):	Midnight Commander grsel kabuu
Summary(uk):	 ̦ Midnight Commander
Summary(zh_CN):	һʵõļShell
Name:		mc
Version:	4.5.55
Release:	14
License:	GPL
Group:		Applications/Shells
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/mc/4.5/%{name}-%{version}.tar.gz
# Source0-md5:	bb670d48589f26f00b7fce8d25f66bd6
Source1:	%{name}serv.pamd
Source2:	%{name}serv.init
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	17d7b574e1b85ad6f8ddceda9e841f19
Source4:	%{name}-srpm
Patch0:		%{name}-mimekeys.patch
Patch1:		%{name}-rpmfs.patch
Patch2:		%{name}-system_popt.patch
Patch3:		%{name}-spec-syntax.patch
Patch4:		%{name}-gdeskpopt.patch
Patch5:		%{name}-prototype.patch
Patch6:		%{name}-gnome-editor.patch
Patch7:		%{name}-def_config.patch
Patch8:		%{name}-mouse_in_rxvt.patch
Patch9:		%{name}-proxy.patch
Patch10:	%{name}-nognome-amfix.patch
Patch11:	%{name}-urar.patch
Patch12:	%{name}-samba.patch
Patch13:	%{name}-nobashism.patch
Patch14:	%{name}-tinfo.patch
Patch15:	%{name}-vfs.patch
Patch16:	%{name}-mo.patch
Patch17:	%{name}-%{name}.ext-ear_war.patch
Patch18:	%{name}-home_etc.patch
Patch19:	%{name}-tmout.patch
Patch20:	%{name}-new_icons_am.patch
Patch21:	%{name}-pl.patch
Patch22:	%{name}-zh.patch
Patch23:	%{name}-CAN-2003-1023.patch
Patch24:	%{name}-tempfile.patch
URL:		http://www.gnome.org/mc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib-devel
BuildRequires:	indent
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pam-devel
BuildRequires:	popt-devel
%ifnarch s390 s390x
BuildRequires:	gpm-devel
%endif
%{!?_without_gnome:BuildRequires:	ORBit-devel}
%{!?_without_gnome:BuildRequires:	gnome-libs-devel >= 1.2.13}
%{!?_without_gnome:BuildRequires:	imlib-devel}
%{?_with_ext2undel:BuildRequires:	e2fsprogs-devel}
%{?_with_x:BuildRequires:	XFree86-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	rpm < 4.0
Requires:	file
Obsoletes:	tkmc

%define		_sysconfdir	/etc/X11/GNOME

%description
Midnight Commander is a visual shell much like a file manager, only
with way more features. It is text mode, but also includes mouse
support if you are running GPM. Its coolest feature is the ability to
ftp, view tar, zip files, and poke into RPMs for specific files. :-)

%description -l de
Midnight Commander ist ein Visual-Shell, hnlich einem Dateimanager,
aber mit zustzlichen Funktionen. Es luft im Textmodus, kann jedoch
eine Maus untersttzen, wenn GPM betrieben wird. Seine coolsten
Fhigkeiten sind die ftp-Option, das Einsehen von tar- und zip-Dateien
und das Herausfischen von spezifischen Dateien aus RPMs.

%description -l es
Midnight Commander es un interpretador de comandos visual que ms
parece un administrador de archivos, solamente con varias
caractersticas a ms. Es un programa en modo texto, pero incluye
soporte para ratn, si estuviera ejecutando GPM o en una ventana
xterm. Su caracterstica ms genial es la habilidad de cotillear en
RPMs buscando archivos especficos. :-)

%description -l fr
Midnight Commander est une interface pour la ligne de commande qui
tient beaucoup du gestionnaire de fichiers, mais est bien plus
puissant. Il fonctionne en mode console (texte), mais peut tre
contrl  la souris si GPM est prsent. Ses caractristiques les plus
remarquables sont la possibilit de se connecter  un serveur FTP, de
visualiser des archives tar, de compresser des fichiers avec zip, de
rcuprer des fichiers dans les packages RPM, et tout ceci simplement.

%description -l ja
Midnight Commander Ϥʵǽäեޥ͡
ӥ奢륷Ǥϥƥȥ⡼ɤΥץꥱǤ
GPM ȤäƤ硢ޥȤޤ Midnight Commander ˤϡ FTP
³Ǥꡢ tar  zip  RPM 椬ʤɡʵǽ
ޤ

%description -l pl
Midnight Commander jest wizualn powok podobn do Norton Commandera.
Pracuje w trybie tekstowym, ale ma take wspomaganie dla myszki. Jest
super ;) MC ma wbudowanego klienta ftp, moe zaglda do
skompresowanego archiwum tarowego, do *.zip oraz *.rpm. Teraz rwnie
pracuje z urzdzeniami /dev/pts/{0-2048} - standard Unix98.

%description -l pt_BR
Midnight Commander  um interpretador de comandos visual que mais
parece um gerenciador de arquivos, somente com vrias caractersticas
a mais. Ele  um programa de modo texto, mas inclui suporte para mouse
se voc estiver rodando GPM ou em uma janela xterm. Sua caracterstica
mais legal  a habilidade de bisbilhotar em RPMs procurando arquivos
especficos. :-)

%description -l tr
Midnight Commander bir dosya yneticisine ok benzeyen ancak daha
yetenekli bir grsel kabuktur. Metin ekranda alr ve GPM
alyorsa fare destei vardr. En ho zellikleri ftp yapabilmesi,
tar, zip ve RPM dosyalarnn ieriklerini gsterebilmesidir.

%package -n mcserv
Summary:	Server for the Midnight Commander network file management system
Summary(de):	Midnight Commander File-Server
Summary(es):	Servidor de archivos del Midnight Commander
Summary(fr):	Serveur rseau pour le gestionnaire de fichiers Midnight Commander
Summary(ja):	Midnight Commander ǥͥåȥեޥ͡ȤԤ
Summary(pl):	Serwer plikw Midnight Commandera
Summary(pt_BR):	Servidor de arquivos do Midnight Commander
Summary(ru):	Midnight Commander -
Summary(tr):	Midnight Commander dosya sunucusu
Summary(uk):	Midnight Commander -
Summary(zh_CN):	mc ļϵͳķ
Group:		Daemons
PreReq:		/sbin/chkconfig
PreReq:		rc-scripts
Requires:	pam >= 0.66
Requires:	portmap

%description -n mcserv
The Midnight Commander file management system will allow you to
manipulate the files on a remote machine as if they were local. This
is only possible if the remote machine is running the mcserv server
program. Mcserv provides clients running Midnight Commander with
access to the host's file systems.

%description -n mcserv -l de
mcserv ist das Server-Programm fr das Netzwerkdateisystem Midnight
Commander. Es ermglicht den Zugriff auf das Host-Dateisystem fr
Clients, die das Midnight-Dateisystem ausfhren (z.Zt. nur Midnight
Commander file manager).

%description -n mcserv -l es
Mcserv es un servidor para el sistema de archivos en red del Midnight
Commander. Permite que clientes usando el mc accedan remotamente al
sistema de archivos de la mquina en que est ejecutando.

%description -n mcserv -l fr
Le systme de gestion de fichier Midnight Commander vous permet de
manipuler des fichiers sur une machine distante comme si ils taient
sur votre propre machine. Ceci est possible seulement si la machine
distante possde le programme mcserv et que celui-ci est activ.
Mcserv apporte aux machines clientes qui font tourner Midnight
Commander un accs aux fichiers situs sur l'hte.

%description -l ja
Midnight Commander
Υեƥϡ⡼ȥޥˤե
ˤ뤫Τ褦˰ȤǤޤεǽ mcserv
ץ ¹ԤƤ⡼ȥޥФƤΤƯޤ Mcserv
 Midnight Commander
饤ȤФơΥۥȤΥե륷ƥ󶡤ޤ

%description -n mcserv -l pl
Mcserv jest aplikacj dla sieciowego systemy plikw Midnight
Commandera. Pozwala na dostp do systemu plikw dla klienta
pracujcego pod MC i uywajcego jego systemu plikw.

%description -n mcserv -l pt_BR
Mcserv  um servidor para o sistema de arquivos em rede do Midnight
Commander. Ele permite que clientes usando o mc acessem remotamente o
sistema de arquivos da mquina em que est rodando.

%description -n mcserv -l ru
mcserv -        Midnight
Commander.       
,    Midnight Commander (
    Midnight Commander).

%description -n mcserv -l tr
mcserv, Midnight Commander a dosya sisteminin sunucu programdr.
Midnight dosya sistemini altran istemcilerin sunucu dosya
sistemine eriimini salar.

%description -n mcserv -l uk
mcserv -     ϧ ϧ  Midnight
Commander.  դ   צϧ ϧ 
̦,  Ц   Midnight Commander (ڦ
Ԧ  Midnight Commander).

%package -n gmc
Summary:	Midnight Commander visual shell (GNOME version)
Summary(de):	Midnight Commander Visual-Shell (GNOME Version)
Summary(es):	Shell visual Midnight Commander (Versin GNOME)
Summary(fr):	Version GNOME du gestionnaire de fichiers Midnight Commander
Summary(ja):	GNOME  Midnight Commander եޥ͡
Summary(pl):	Midnight Commander - wizualna powoka (wersja GNOME)
Summary(pt_BR):	Shell visual Midnight Commander (Verso GNOME)
Summary(ru):	GNOME    Midnight Commander
Summary(tr):	Midnight Commander grsel kabuu (GNOME srm)
Summary(uk):	GNOME Ӧ   Midnight Commander
Summary(zh_CN):	GNOME µ MC 汾
Group:		X11/Applications
Requires:	%{name}	= %{version}

%description -n gmc
Midnight Commander is a visual shell much like a file manager, only
with way more features. This is the GNOME version. It's coolest
feature is the ability to ftp, view tar, zip files and poke into RPMs
for specific files. The GNOME version of Midnight Commander is not yet
finished though. :-(

%description -n gmc -l es
Midnight Commander es un interpretador de comandos visual, muy
parecido con un administrador de archivos, solamente que con _muchas_
otras capacidades. Una de sus caractersticas ms interesantes es su
habilidad para conectarse a servidores ftp, visualizar archivos tar,
zip y rpms.

%description -n gmc -l fr
Midnight Commander est une interface pour la ligne de commande qui
tient beaucoup du gestionnaire de fichiers, mais est bien plus
puissant. Ceci est la version pour GNOME. Ses caractristiques les
plus remarquables sont la possibilit de se connecter  un serveur
FTP, de visualiser des archives tar, de compresser des fichiers avec
zip, et de rcuprer des fichiers dans les packages RPM. La version
GNOME de Midnight Commander n'est pas encore termine cependant. :-(

%description -l ja
GMC (GNU Midnight Commander) ϡߥʥǤ Midnight Commander
ˤ GNOME GUI ǥȥåפ¸եޥ͡Ǥ GMC
 FTP ³Ǥꡢ tar  zip  RPM 򸫤ꤹ뤳Ȥ
Ǥޤ

%description -n gmc -l pl
Midnight Commander jest wizualn powok, posiadajc znacznie wicej
funkcji ni samo zarzdzanie plikami. Ma wbudowanego klienta ftp,
potrafi przeglda pliki tar, zip oraz siga do konkretnych plikw
pakietw rpm. To jest wersja pracujca pod GNOME. Niestety nie jest
ona jeszcze skoczona.

%description -n gmc -l pt_BR
Midnight Commander  um interpretador de comandos visual, muito
parecido com um gerenciador de arquivos, somente com _muitas_ outras
capacidades. Uma de suas caractersticas mais interessantes  sua
habilidade de conectar-se a servidores ftp, visualizar arquivos tar,
zip e rpms.

%description -n gmc -l ru
GMC (GNU Midnight Commander) -   ,  
  Midnight Commander    
   GNOME.

%description -n gmc -l uk
GMC (GNU Midnight Commander) -   ,  դ 
ͦΦ Ӧ Midnight Commander     Ʀ
  GNOME.

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%{?_with_mo:%patch16 -p1}
%patch17 -p1
#%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p0

mv -f po/zh_CN{.GB2312,}.po
mv -f po/zh_TW{.Big5,}.po

%build
%{__gettextize}
%{__aclocal} -I \
	%{!?_without_gnome:%{_aclocaldir}/gnome}%{?_without_gnome:macros}
%{__autoconf}
%{__automake}
X11_WWW="
if [ -f /usr/X11R6/bin/netscape ]; then
	netscape;
else
	if [ -f /usr/X11R6/bin/galeon ]; then
		galeon
	else
		if [ -f /usr/X11R6/bin/mozilla ]; then
			mozilla
		else
			xterm -c lynx
		fi;
	fi;
fi"
%configure \
	%{?_with_ext2undel:--with-ext2-undel}%{!?_with_ext2undel:--without-ext2undel} \
	--with-vfs \
	--with-netrc \
	--with-x \
	%{?_with_x:--with-tm-x-support} \
	--without-debug \
	--with-included-slang \
	--enable-largefile \
	--enable-mcserv-install \
	%{!?_without_gnome:--with-gnome}%{?_without_gnome:--without-gnome} \
	%{?_with_samba:--with-samba}

%{__make} confdir=%{_sysconfdir}/

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,pam.d,profile.d}}

%{__make} install \
	confdir=%{_sysconfdir} \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/mcserv
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mcserv

for a in es pl ; do
	for b in man1 man8 ; do
		install -d $RPM_BUILD_ROOT%{_mandir}/{$a,$a/$b}
		for c in man/$a/$b/* ; do
			install $c $RPM_BUILD_ROOT%{_mandir}/$a/$b
		done
	done
done

install %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/mc/extfs/srpm

install lib/{mc.sh,mc.csh} $RPM_BUILD_ROOT/etc/profile.d

mv -f $RPM_BUILD_ROOT%{_bindir}/mcserv $RPM_BUILD_ROOT%{_sbindir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n mcserv
/sbin/chkconfig --add mcserv
if [ -f /var/lock/subsys/mcserv ]; then
	/etc/rc.d/init.d/mcserv restart >&2
else
	echo "Run \"/etc/rc.d/init.d/mcserv start\" to start mcserv daemon."
fi

%preun -n mcserv
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mcserv ]; then
		/etc/rc.d/init.d/mcserv stop >&2
	fi
	/sbin/chkconfig --del mcserv
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ NEWS README

%attr(755,root,root) %{_bindir}/mc*

%{_libdir}/mc/mc.ext

%{_libdir}/mc/mc.hlp
%lang(hu) %{_libdir}/mc/mc.hlp.hu
%{_libdir}/mc/mc.lib
%{_libdir}/mc/mc.menu
%{_libdir}/mc/mc.hint
%lang(cs) %{_libdir}/mc/mc.hint.cs
%lang(es) %{_libdir}/mc/mc.hint.es
%lang(hu) %{_libdir}/mc/mc.hint.hu
%lang(it) %{_libdir}/mc/mc.hint.it
%lang(nl) %{_libdir}/mc/mc.hint.nl
%lang(pl) %{_libdir}/mc/mc.hint.pl
%lang(ru) %{_libdir}/mc/mc.hint.ru
%lang(uk) %{_libdir}/mc/mc.hint.uk
%lang(zh) %{_libdir}/mc/mc.hint.zh

%attr(755,root,root) %{_libdir}/mc/bin/cons.saver

%{_libdir}/mc/extfs/README
%attr(755,root,root) %{_libdir}/mc/extfs/a
%attr(755,root,root) %{_libdir}/mc/extfs/apt
%attr(755,root,root) %{_libdir}/mc/extfs/audio
%attr(755,root,root) %{_libdir}/mc/extfs/bpp
%attr(755,root,root) %{_libdir}/mc/extfs/deb*
%attr(755,root,root) %{_libdir}/mc/extfs/dpkg
%attr(755,root,root) %{_libdir}/mc/extfs/ftplist
%attr(755,root,root) %{_libdir}/mc/extfs/hp48
%attr(755,root,root) %{_libdir}/mc/extfs/lslR
%attr(755,root,root) %{_libdir}/mc/extfs/mailfs
%attr(755,root,root) %{_libdir}/mc/extfs/patchfs
%attr(755,root,root) %{_libdir}/mc/extfs/rpm*
%attr(755,root,root) %{_libdir}/mc/extfs/trpm
%attr(755,root,root) %{_libdir}/mc/extfs/uar*
%attr(755,root,root) %{_libdir}/mc/extfs/ucpio
%attr(755,root,root) %{_libdir}/mc/extfs/uha
%attr(755,root,root) %{_libdir}/mc/extfs/ulha
%attr(755,root,root) %{_libdir}/mc/extfs/urar
%attr(755,root,root) %{_libdir}/mc/extfs/uzip
%attr(755,root,root) %{_libdir}/mc/extfs/uzoo
%attr(755,root,root) %{_libdir}/mc/extfs/srpm
%{_libdir}/mc/extfs/extfs.ini
%{_libdir}/mc/extfs/sfs.ini
%{_libdir}/mc/syntax

%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%attr(755,root,root) %config /etc/profile.d/*

%dir %{_libdir}/mc
%dir %{_libdir}/mc/bin
%dir %{_libdir}/mc/extfs

%files -n mcserv
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/*

%attr(754,root,root) %config /etc/rc.d/init.d/mcserv
%{_mandir}/man8/mcserv.8*
%lang(es) %{_mandir}/es/man8/mcserv.8*
%lang(pl) %{_mandir}/pl/man8/mcserv.8*
%attr(755,root,root) %{_sbindir}/mcserv

%{!?_without_gnome:%files -n gmc}
%{!?_without_gnome:%defattr(644,root,root,755)}

%{!?_without_gnome:%attr(755,root,root) %{_bindir}/gdesktoplnk}
%{!?_without_gnome:%attr(755,root,root) %{_bindir}/gmc*}
%{!?_without_gnome:%attr(755,root,root) %{_bindir}/plain-gmc}

%{!?_without_gnome:%{_sysconfdir}/mc.global}
%{!?_without_gnome:%{_sysconfdir}/CORBA/servers/gmc.gnorba}
%{!?_without_gnome:%{_datadir}/mime-info}
%{!?_without_gnome:%{_datadir}/pixmaps}
%{!?_without_gnome:%{_datadir}/mc}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mc.spec,v $
Revision 1.145.2.2.2.2  2004/02/02 15:40:40  qboosh
- fixed double Source3, release 14

Revision 1.145.2.2.2.1  2004/02/02 15:26:04  qboosh
- added CAN-2003-1023 (BTS#815) and tempfile (from SuSE) security patches
- release 13

Revision 1.145.2.2  2003/09/09 14:05:48  eothane
- ashes to ashes

Revision 1.145.2.1  2003/09/09 13:53:02  ankry
- updated URLs, added md5

Revision 1.145  2003/01/31 12:17:11  qboosh
- zh patch: rename zh_CN.GB2312 to zh_CN, zh_TW.Big5 to zh_TW (default encodings)

Revision 1.144  2002/12/10 21:31:30  qboosh
- fixed typos in pl patch; release 12

Revision 1.143  2002/12/10 13:32:26  ankry
- added -pl patch: translation fixes/updates by Adam Tlalka
- release 11: STBR for ra-updates-general

Revision 1.142  2002/12/02 11:06:21  ankry
- massive cleaning

Revision 1.141  2002/11/05 16:11:01  ankry
- cosmetics

Revision 1.140  2002/11/05 15:49:22  malekith
- fixed home-etc fuckup with == in shell test
- release 10

Revision 1.139  2002/10/22 10:59:10  adgor
- Added %%{name}-new_icons_am.patch (needed to "--without gnome" bcond)

Revision 1.138  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.137  2002/09/20 17:43:13  undefine
- changed url

Revision 1.136  2002/07/05 22:53:12  undefine
- mc-tmout.patch patch from mc cvs to fix bug with closing bash inside mc
- release 9

Revision 1.135  2002/07/05 17:12:29  kloczek
- release 9,
- disable home_etc patch (it causes sigsegv on sparc so seems is broken),
- merge translations from TurboLinux.

Revision 1.134  2002/06/23 21:31:20  kloczek
- merge translations from Kondara and Conectiva and use new %doc.

Revision 1.133  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.132  2002/05/31 15:47:53  pascalek
- Release 8, home_etc patch added

Revision 1.131  2002/05/21 23:14:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.130  2002/03/30 11:16:40  qboosh
- updated nognome-amfix patch to work with automake 1.6
- release 7

Revision 1.129  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.128  2002/03/17 15:37:41  kloczek
- merge translations from KSI.

Revision 1.127  2002/03/17 11:32:34  mkochano
- s/mc.ext-jar_war/mc.ext-ear_war/.

Revision 1.126  2002/03/17 11:28:38  mkochano
- Release 6.
- Added mc.ext-jar_war patch.

Revision 1.125  2002/03/05 23:31:35  mmazur
- added mc-mo.patch

Revision 1.124  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.123  2002/02/03 20:54:40  ankry
- adding es/pt/pt_BR Group translations

Revision 1.122  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.121  2002/01/02 17:27:42  kloczek
- release 5.

Revision 1.120  2001/12/28 17:15:55  gotar
- changes in descriptions.

Revision 1.119  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.118  2001/10/19 21:12:51  ankry
- fixed man pages install bug introduced in previous patch

Revision 1.117  2001/10/19 11:44:36  ankry
- added es man pages; moved pl ones to tar
- renumbered Source6 to 4
- Release 3

Revision 1.116  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.115  2001/09/27 19:53:32  qboosh
- added --enable-largefile to %%configure
- merged rpmfs_rpm40 patch into rpmfs patch (patching same file),
  removed unnecessary second "VERIFYSCRIPT" case
- release 2

Revision 1.114  2001/09/16 15:20:45  kloczek
- updated to 4.5.55,
- some patches updated and some obsoleted removed,
- updated %files lists.

Revision 1.113  2001/09/12 08:06:43  filon
- changed this awful 'lynx &' execution associated with htm? files, while beeing in X

Revision 1.112  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.111  2001/09/03 18:52:03  filon
- modified support for src.rpm's - rebuild in VFS
- added README file to /usr/lib/mc/extfs

Revision 1.110  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.109  2001/08/04 17:40:34  qboosh
- removed sh-quiet patch (obsoleted by nobashism patch)
- removed bashisms from "ulha" and "a" extfss ("a" didn't work because of them)
- release 8

Revision 1.108  2001/07/30 09:40:35  kloczek
- release 7.

Revision 1.107  2001/07/26 21:31:29  kloczek
- few fixes on install pl man pages.

Revision 1.106  2001/07/26 16:24:46  undefine
- added polish man pages (kloczek - please add links from pl_PL repo)

Revision 1.105  2001/07/26 05:42:11  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.103  2001/07/23 17:46:58  gotar
- added polish description for gmc.

Revision 1.102  2001/07/18 20:12:39  gotar
- cosmetics (lists sorted asciibetically).

Revision 1.101  2001/07/13 19:22:48  kloczek
- added BINDIR (slyghtly reduce amout output messages during compile) and
  tinfo patches (this patch switch to linking mc against only libtinfo).

Revision 1.100  2001/07/13 15:20:53  blues
- release 6
- url updated
- no other changes - need rebuild with gpm-libs (ac 2.50 ready)

Revision 1.99  2001/06/15 18:18:23  kloczek
- release 5: use "mv -f" in rpmfs script (baggins).

Revision 1.98  2001/05/22 09:06:29  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.97  2001/05/14 09:09:51  marcus
- release 4, fix for rpmfs, stb

Revision 1.96  2001/04/22 12:07:04  kloczek
- release 3: fixes in handling SERIAL in rpmfs script.

Revision 1.95  2001/04/22 10:06:15  roman
- added Requires:	file

Revision 1.94  2001/04/22 08:08:31  kloczek
- release 2,
- switch to bz2 Source,
- added support in rpmfs for display serial field.

Revision 1.93  2001/04/22 06:31:46  kloczek
- updated to 4.5.54,
- added nobashism patch (do not use -f in export in /etc/profile.d/mc.sh),
- merge gettext and gnome-gettext patch in use_AM_GNU_GETTEXT and add to
  this patch fix src/Makefile.in for new gettext.

Revision 1.92  2001/04/15 01:38:44  qboosh
- ugh, typo in patch name
- nognome-gettext patch - gettext am macros has changed

Revision 1.91  2001/04/14 22:43:29  qboosh
- gettext patch - treating \ in multi-byte characters has changed
- shquiet patch - don't let sh display "mc.sh[12]: export: -f: unknown option"

Revision 1.90  2001/03/29 18:31:42  aflinta
- --with-tm-x-support moved to conditional build

Revision 1.89  2001/03/26 22:18:23  kloczek
- release 4.

Revision 1.88  2001/03/25 15:52:35  aflinta
- added conditional build for sambafs
- added --with-tm-x-support

Revision 1.87  2001/03/23 17:14:43  qboosh
- urar patch: if /usr/bin/unrar not found, try using /usr/bin/rar
- BuildRequires: pam-devel, glib-devel (always required),
  e2fsprogs-devel (if building with ext2undel)
- release 3

Revision 1.86  2001/03/23 02:19:13  kloczek
- release 2.

Revision 1.85  2001/03/22 18:46:49  qboosh
- automake fix necessary to build without gnome

Revision 1.84  2001/03/19 21:12:13  misiek
4.5.52

Revision 1.83  2001/03/11 14:13:25  kloczek
- release 26,
- more fixes for proper handling enter to file on pres enter on files with
  bzip2, compress, gzip in name (extension patch),
- merged time (rawhide), and proxy (mdk) patches.

Revision 1.82  2001/02/16 00:34:15  qboosh
- _with_ext2undel

Revision 1.81  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.80  2000/12/16 05:59:14  kloczek
- release 22: s/no_gnome/_without_gnome/

Revision 1.79  2000/12/14 16:38:04  baggins
- fixed usage of no_gnome macro

Revision 1.78  2000/11/29 10:39:26  kloczek
- release 21: fix: Conflicts: rpm < 4.0.

Revision 1.77  2000/11/29 04:57:03  kloczek
- release 20,
- fixed def_config patch (do not change default long format),
- merge bunch Debian patches (also with security fix in cons.saver),
- added rpmfs_rpm40 patch with fix handling rpm fs in rpm 4.0 enviroment
  (also added "Conflicts: rpm =< 4.0" for use this in proper enviroment).

Revision 1.76  2000/11/10 12:30:37  kloczek
- release 19,
- merge bunch patches from RH,
- my propozition IMHO more ergonomic configuration:
-- enable diplay 8bit,
-- show backup files,
-- default user mode in panel to "half type,name,|,size" (removed mtime),
-- default user Mini status in panel to "half type,name,|,mtime,|,perm (size
   replaced by mtime).

Revision 1.75  2000/09/28 14:48:26  kloczek
- adapterized and added using rpm new automation.

Revision 1.74  2000/09/27 20:11:14  pascalek
- BuildRequires: indent
- added spec.syntax file

Revision 1.73  2000/09/25 15:24:16  kloczek
- switch for building mc without GNOME changed from nognome to no_gnome.

Revision 1.72  2000/09/01 20:37:12  kloczek
- added coditional building gmc (by default gmc subpackage is builded but if
  on for example: 'rpm -ba -v mc.spec --define "nognome 1"' not).

Revision 1.71  2000/08/25 20:06:45  baggins
- removed last changed

Revision 1.70  2000/08/25 19:26:32  baggins
- buildrequires bonobo-devel

Revision 1.69  2000/08/25 18:01:17  baggins
- updated to 4.5.51

Revision 1.68  2000/07/13 23:14:45  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.67  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.66  2000/05/31 11:44:33  bonkey
- v.4.5.50
- typo in %preun mcserv

Revision 1.65  2000/05/25 19:57:53  bonkey
- upgraded to 4.5.49

Revision 1.64  2000/05/23 00:22:31  bonkey
- typo in post from mcserv

Revision 1.63  2000/05/22 22:35:39  kloczek
- updated to 4.5.48,
- spec adapterized.

Revision 1.62  2000/05/11 03:39:26  kloczek
- updated to 4.5.45,
- spec adapterized.

Revision 1.61  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.60  2000/04/08 13:27:27  mkochano
- More "BuildRequires:".

Revision 1.59  2000/04/07 03:33:15  kloczek
- updated to 4.5.44,
- new rpmfs patch:
  - back to old rpmfs behavior (display in root package full package file
    list) and now CONTENTS.cpio is as additional entry in rpmfs,
  - added INFO/SCRIPTS/TRIGGERSCRIPTS,
- removed outdated enlightenment_keys patch.

Revision 1.58  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.57  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.56  2000/03/20 21:33:24  kloczek
- updated to 4.5.43.

Revision 1.55  2000/02/11 10:24:01  kloczek
- release 4,
- build agains system popt library (patch from KSI).

Revision 1.54  2000/01/28 22:50:24  kloczek
- added cs, es hints,
- added missing %%{_sysconfdir} macros.

Revision 1.53  2000/01/28 22:03:45  kloczek
- release 3,
- spec adapterized,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.52  1999/12/07 21:57:49  kloczek
- updated to 4.5.42.

Revision 1.51  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.50  1999/11/17 00:44:47  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.49  1999/11/02 22:25:10  kloczek
- updated to 4.5.41.

Revision 1.48  1999/11/02 00:40:59  kloczek
- release 2,
- added rpmfs patch with fix displaying conternts INFO/OBSOLETES and
  adding new INFO/CONFLICTS in rpmfs.

Revision 1.47  1999/10/21 18:16:05  klakier
Build requires imlib-devel

Revision 1.46  1999/09/30 21:51:00  kloczek
- updated to 4.5.40,
- en, fr Summary and %description's from Mandarake,
- added mimekeys (fix handling gnumeric and applix documents and
  enlightenment_keys (fix keyboard handling under enlightenment) patches,
- removed DESTDIR and fixes parches (now integrated in main source).

Revision 1.45  1999/09/11 13:52:59  misiek
- fixed requires (PR#44)

Revision 1.44  1999/08/31 16:30:39  misiek
- added fixes patch

Revision 1.43  1999/08/05 14:42:37  kloczek
- updated to 4.5.37,
- removed duplicated mcserver %description,
- removed idl files (this is development stuff),
- added using %%configure macro,
- added DESTDIR patch.

Revision 1.42  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.41  1999/07/12 23:06:09  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.5.31-1]
- spec written by me,
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>.
- package is FHS 2.0 compliant.
